<?php
function module_comment_edit()
{
	global $global,$smarty;
	$obj = new comment();
	$obj->set_where('com_id = '.$global['id']);
	$one = $obj->get_one();
	if($one['com_user_id'])
	{
		$one['user_name'] = get_data('users',$one['com_user_id'],'use_username');
	}else{
		$one['user_name'] = '';
	}
	$one['channel'] = $one['com_type'];
	$one['title'] = get_data($one['channel'],$one['com_page_id'],substr($one['channel'],0,3).'_title');
	$smarty->assign('comment',$one);
}
//红头船
?>